Subject: bug#46737: Services breakage from the PostgreSQL socket-directory configuration change

From: Christopher Baines <[email-masked]>
Date: Thu, 25 Feb 2021 18:35:46 +0000

Mathieu Othacehe <[email-masked]> writes:

>> One workaround, the one employed in the tests is to revert to the old
>> behaviour for the PostgreSQL service by setting socket-directory to #f.
>
> You're right, sorry about the breakage. As you noticed we are in an
> in-between situation where the patch updating Postgresql package to use
> "/var/run/postgresql" by default is only on core-updates, but the
> service is already using it as a default on master.
>
> This means that "createdb", "dropdb" and other Postgresql user tools
> need to have an explicit "-h /var/run/postgresql" argument for now.
>
> Until the package patch gets merged in the master branch, we could set
> the "socket-directory" field of <postgresql-config-file> record to #f to
> restore an acceptable default behaviour.
>
> WDYT?

I think that would be good. It's unfortunate that the package change is
stuck on core-updates for now, but configuring the service on master to
keep the old behaviour until core-updates is merged sounds sensible.

Thanks,

Chris